Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

3298 illumos link-editor and related tools should be differentiable

Reviewed by: Joshua M. Clulow <josh@sysmgr.org>
Reviewed by: Dan McDonald <danmcd@nexenta.com>
Approved by: Garrett D'Amore <garrett@damore.org>
  • Loading branch information...
commit 70087ad34e224a679eb83e405bf394606ba94c1c 1 parent 4d1bea1
@richlowe richlowe authored
View
11 usr/src/cmd/sgs/libconv/common/bld_vernote.ksh
@@ -19,8 +19,7 @@
#
# CDDL HEADER END
#
-#
-# ident "%Z%%M% %I% %E% SMI"
+
#
# Copyright 2008 Sun Microsystems, Inc. All rights reserved.
# Use is subject to license terms.
@@ -46,7 +45,7 @@ pad_notestring()
build_sparcnote()
{
- notestring="Solaris Link Editors: $release-$revision\0"
+ notestring="Solaris Link Editors: $release-$revision (illumos)\0"
#
# The 'adjustment' is for the '\0'
#
@@ -69,14 +68,14 @@ cat > $notefile <<EOF
.global link_ver_string
link_ver_string:
.type link_ver_string, #object
- .ascii "${release}-${revision}\0"
+ .ascii "${release}-${revision} (illumos)\0"
.size link_ver_string, .-link_ver_string
EOF
}
build_i386note()
{
- notestring="Solaris Link Editors: $release-$revision"
+ notestring="Solaris Link Editors: $release-$revision (illumos)"
#
# The 'adjustment' is for the the fact that the x86/amd64
# assembler automatically append a '\0' at the end of a string.
@@ -99,7 +98,7 @@ cat > $notefile <<EOF
.globl link_ver_string
link_ver_string:
.type link_ver_string,@object
- .string "${release}-${revision}\0"
+ .string "${release}-${revision} (illumos)\0"
.size link_ver_string, .-link_ver_string
EOF
}
View
2  usr/src/tools/scripts/nightly.sh
@@ -2582,7 +2582,7 @@ echo | tee -a $build_environ_file >> $LOGFILE
whence ld | tee -a $build_environ_file >> $LOGFILE
LDVER=`ld -V 2>&1`
echo $LDVER | tee -a $build_environ_file >> $LOGFILE
-LDVER=`echo $LDVER | sed -e "s/.*-1\.//" -e "s/:.*//"`
+LDVER=`echo $LDVER | sed -e "s/.*-1\.\([0-9]*\).*/\1/"`
if [ `expr $LDVER \< 422` -eq 1 ]; then
echo "The link-editor needs to be at version 422 or higher to build" | \
tee -a $build_environ_file >> $LOGFILE
Please sign in to comment.
Something went wrong with that request. Please try again.